php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #73674 Unable to load dynamic library 'c:/wamp/bin/php/php7.0.10/ext/php_zmq.dll'
Submitted: 2016-12-07 09:38 UTC Modified: 2016-12-08 11:38 UTC
From: benoit dot rousselle at gmail dot com Assigned: cmb (profile)
Status: Not a bug Package: PECL (PECL)
PHP Version: 7.1.0 OS: win 32 / win 64
Private report: No CVE-ID: None
 [2016-12-07 09:38 UTC] benoit dot rousselle at gmail dot com
Description:
------------
I'm not sure if the problem come from WAMP or php_zmq.dll

PHP 7.0.10 can not load php_zmq.dll in the extension dir 
Unable to load dynamic library 'c:/wamp/bin/php/php7.0.10/ext/php_zmq.dll' whereas the dll exist

I've opened a post (sorry, it's in French) on forum :
http://forum.wampserver.com/read.php?1,144324

Test script:
---------------
php log :
07-Dec-2016 08:47:23 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php7.0.10/ext/php_zmq.dll' - Le module sp�cifi� est introuvable.

 in Unknown on line 0

module specified is not found


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2016-12-07 12:03 UTC] cmb@php.net
-Status: Open +Status: Feedback -Assigned To: +Assigned To: cmb
 [2016-12-07 12:03 UTC] cmb@php.net
The following works for me: put php_zmq.dll into the extension directory, and libzmq.dll and libsodium.dll somewhere in the PATH. I haven't tested this with WAMP, though.
 [2016-12-07 12:05 UTC] cmb@php.net
-Package: *Network Functions +Package: PECL
 [2016-12-07 13:04 UTC] benoit dot rousselle at gmail dot com
The problem occurs on wamp for php 7. Some people on the forum has got the same problem : http://forum.wampserver.com/read.php?1,144324


For php 7.1.0 / VC14 / X64 => KO
Pour php 7.0.13 / VC14 X64 => KO
Pour php 5.6.28 / VC11 / X86 => OK, it works

I try to do this on wamp (php7) :

put php_zmq.dll into the extension directory, and libzmq.dll and libsodium.dll somewhere in the PATH.
=> KO on my wamp php7
 [2016-12-07 13:15 UTC] cmb@php.net
-Status: Feedback +Status: Open
 [2016-12-07 14:09 UTC] cmb@php.net
-Status: Assigned +Status: Not a bug
 [2016-12-07 14:09 UTC] cmb@php.net
Now I have downloaded and installed wampserver3.0.6_x86_apache2.4.23_mysql5.7.14_php5.6.25-7.0.10.exe, started Wampserver, switched to PHP 7.0.10, put php_zmq.dll into the ext/ folder, put libsodium.dll and libzmq.dll into C:\Windows, added extension=php_zmq.dll to php.ini, restarted Wampserver, and everything is okay.

There may be issues for you (and others) due to wrong dependencies being picked up, but there doesn't seem to be a bug, so I'm closing this ticket. See <http://php.net/support.php> for some appropriate support channels.
 [2016-12-07 14:33 UTC] kalle@php.net
Minor note here cmb, you should rather put the libsodium.dll in the root of php directory instead of polluting the ext/ directory, though it works.

The Windows error for being unable to load a dynamic link library is usually vague when a dependency is missing (like noted). Despite it saying the module is not found, it is not always clear which module is not found, but in cases like these it means that a dependency that is linked to an extension was not found in a path within the PATH env variable.
 [2016-12-08 10:45 UTC] benoit dot rousselle at gmail dot com
php_zmq works with wamp3 if I use php_zmq-1.1.3-7.0-ts-vc14-x86.zip

but not with release php_zmq-1.1.3-7.1-ts-vc14-x86.zip

we talk about this problem these last days (in french) :
http://forum.wampserver.com/read.php?1,144324
 [2016-12-08 11:38 UTC] cmb@php.net
> but not with release php_zmq-1.1.3-7.1-ts-vc14-x86.zip

This zmq package is supposed to work with PHP 7.1, but not 7.0.

From the Wamp forum discussion:

| [07-Dec-2016 17:45:32 UTC] PHP Warning: PHP Startup: zmq: Unable to initialize module
| Module compiled with module API=20160303
| PHP compiled with module API=20151012

This has nothing to do with the VC compiler, but rather that this PHP is 7.0, but the extension is for 7.1.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sun Jul 12 18:01:24 2020 UTC